require 'spec_helper'

describe ShopsController do

  before(:each) do
    @shop_id, @user_id = 1, 1
    UserHistory.instance.clear(@shop_id, @user_id)
  end

  it "UserHistoryのインスタンスを取り出せる" do
    user_history = UserHistory.instance
    user_history.should be_an_instance_of(UserHistory)
  end

  it "UserHistoryは初期化されている" do
    user_history = UserHistory.instance
    user_history.should be_setup
  end

  it "UserHistoryに履歴を追加できる" do
    user_history = UserHistory.instance
    item_id = 1
    user_history.add(@shop_id, @user_id, item_id)
  end

  it "UserHistoryから履歴を取得できる" do
    user_history = UserHistory.instance
    for item_id in 1..100
      #1から100までのitem_idで、9件ずつの重複データを登録する
      9.times do
        user_history.add(@shop_id, @user_id, item_id)
      end
    end
    ids = user_history.get(@shop_id, @user_id)
    ids.should == (91..100).to_a.reverse
  end

end
